Method: projects.subscribers.list

Lists all subscribers registered within the owned Google Cloud Project.

HTTP request

GET https://health.googleapis.com/v4/{parent=projects/*}/subscribers

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of subscribers. Format: projects/{project} It takes the form projects/{project}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of subscribers to return. The service may return fewer than this value. If unspecified, at most 50 subscribers will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous subscribers.list call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to subscribers.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for subscribers.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "subscribers": [
    {
      object (Subscriber)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
subscribers[]

object (Subscriber)

Subscribers from the specified project.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

totalSize

integer

The total number of subscribers matching the request.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • health.subscribers.list

For more information, see the IAM documentation.